#if !defined(AFX_CONFIGGENERALDLG_H__E5FA3340_F512_448B_A81C_85980E83E44B__INCLUDED_)
#define AFX_CONFIGGENERALDLG_H__E5FA3340_F512_448B_A81C_85980E83E44B__INCLUDED_

/*******************************************************************************
 *                                                                             *
 *  This file is part of NotesAntiSpam.                                        *
 *                                                                             *
 *  NotesAntiSpam is free software; you can redistribute it and/or modify      *
 *  it under the terms of the GNU General Public License as published by       *
 *  the Free Software Foundation; either version 2 of the License, or          *
 *  (at your option) any later version.                                        *
 *                                                                             *
 *  NotesAntiSpam is distributed in the hope that it will be useful,           *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *
 *  GNU General Public License for more details.                               *
 *                                                                             *
 *  You should have received a copy of the GNU General Public License          *
 *  along with NotesAntiSpam; if not, write to the Free Software               *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  *
 *                                                                             *
 *  Copyright (c) 2003 Thomas Kriener                                          *
 *                                                                             *
 *******************************************************************************/

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ConfigGeneralDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CConfigGeneralDlg dialog

class CConfigGeneralDlg : public CDialog
{
// Construction
public:
	CConfigGeneralDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CConfigGeneralDlg)
	enum { IDD = IDD_CONFIG_GENERAL_DIALOG };
	BOOL	m_debug;
	BOOL	m_sso;
	BOOL	m_bayesFilter;
	BOOL	m_dnsblFilter;
	BOOL	m_informNewMail;
	CString	m_mailBox;
	CString	m_mailBoxServer;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConfigGeneralDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CNotesAntiSpamApp* myApp;

	// Generated message map functions
	//{{AFX_MSG(CConfigGeneralDlg)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONFIGGENERALDLG_H__E5FA3340_F512_448B_A81C_85980E83E44B__INCLUDED_)
