// ConfigSpamBayesDlg.cpp : implementation file
//
/*******************************************************************************
 *                                                                             *
 *  This file is part of NotesAntiSpam.                                        *
 *                                                                             *
 *  NotesAntiSpam is free software; you can redistribute it and/or modify      *
 *  it under the terms of the GNU General Public License as published by       *
 *  the Free Software Foundation; either version 2 of the License, or          *
 *  (at your option) any later version.                                        *
 *                                                                             *
 *  NotesAntiSpam is distributed in the hope that it will be useful,           *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *
 *  GNU General Public License for more details.                               *
 *                                                                             *
 *  You should have received a copy of the GNU General Public License          *
 *  along with NotesAntiSpam; if not, write to the Free Software               *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  *
 *                                                                             *
 *  Copyright (c) 2003 Thomas Kriener                                          *
 *                                                                             *
 *******************************************************************************/

#include "stdafx.h"
#include "NotesAntiSpam.h"
#include "ConfigSpamBayesDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConfigSpamBayesDlg dialog


CConfigSpamBayesDlg::CConfigSpamBayesDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CConfigSpamBayesDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConfigSpamBayesDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CConfigSpamBayesDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConfigSpamBayesDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConfigSpamBayesDlg, CDialog)
	//{{AFX_MSG_MAP(CConfigSpamBayesDlg)
	ON_BN_CLICKED(IDC_TRAIN, OnTrain)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConfigSpamBayesDlg message handlers

void CConfigSpamBayesDlg::OnTrain() 
{
	CNotesAntiSpamApp* myApp=(CNotesAntiSpamApp*)AfxGetApp();

	if(AfxMessageBox(IDS_HINTSTARTTRAINBAYES,MB_YESNO|MB_ICONQUESTION)==IDYES)
	{
		myApp->debugger.Add("Start Training...");
		// The events are initially set or reset in the CreateEvent call;
		// but they may be left in an improperly initialized state if
		// a worker thread has been previously started and then prematurely
		// killed.  Set/reset the events to the proper initial state.
		// Set the "start search" event last, since it is the event the
		// triggers the starting of the worker thread rerun.
		SetEvent(myApp->m_hEventSearchDone);
		ResetEvent(myApp->m_hEventKillSearchThread);
		ResetEvent(myApp->m_hEventSearchThreadKilled);
		SetEvent(myApp->m_hEventStartTrainBayes);
		SetEvent(myApp->m_hEventStartSearch);
	}
}
