// InformNewMailDlg.cpp : implementation file
//

#include "stdafx.h"
#include "NotesAntiSpam.h"
#include "InformNewMailDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CInformNewMailDlg dialog


CInformNewMailDlg::CInformNewMailDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CInformNewMailDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CInformNewMailDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Get Pointer to Application
	myApp=(CNotesAntiSpamApp*)AfxGetApp();
}


void CInformNewMailDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CInformNewMailDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CInformNewMailDlg, CDialog)
	//{{AFX_MSG_MAP(CInformNewMailDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CInformNewMailDlg message handlers

void CInformNewMailDlg::OnOK() 
{
	CString temp;

	/* for command-Start */
	STARTUPINFO si;
    PROCESS_INFORMATION pi;
	char path[1024];
	char command[1024];

	// Command to start
	strcpy(path,myApp->m_config.m_notesPath);
	strcpy(command,"notes.exe");

	myApp->debugger.Add("**** Starting Notes-Client ****");
	temp.Format("Command : %s",command);
	myApp->debugger.Add(temp);
	temp.Format("Path : %s",path);
	myApp->debugger.Add(temp);

	// start dispatcher
	ZeroMemory( &si, sizeof(si) );
	si.cb = sizeof(si);
	ZeroMemory( &pi, sizeof(pi) );

	// Start the child process. 
	if( !CreateProcess( NULL,     // No module name (use command line). 
                        command,  // Command line. 
                        NULL,     // Process handle not inheritable. 
                        NULL,     // Thread handle not inheritable. 
                        FALSE,    // Set handle inheritance to FALSE. 
                        0,        // No creation flags. 
                        NULL,     // Use parent's environment block. 
                        path,     // starting directory
                        &si,      // Pointer to STARTUPINFO structure.
                        &pi )     // Pointer to PROCESS_INFORMATION structure.
	  ) 
	{
		LPVOID lpMsgBuf;
		CString msg;
		FormatMessage(
			FORMAT_MESSAGE_ALLOCATE_BUFFER | FORMAT_MESSAGE_FROM_SYSTEM,
			NULL,
			GetLastError(),
			MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT), // Default language
			(LPTSTR) &lpMsgBuf,
			0,
			NULL);
		
		// Display the string.
		msg.Format("**** Command not started, ERROR: %s ****",lpMsgBuf);
		myApp->debugger.Add(msg);
		// Free the buffer.
		LocalFree( lpMsgBuf );

		return;
	}

	// Log processId
	temp.Format("**** Notes-Client started with PID %lu ****",pi.dwProcessId);
	myApp->debugger.Add(temp);

	// Close process and thread handles. 
	CloseHandle( pi.hProcess );
	CloseHandle( pi.hThread );

	
	CDialog::OnOK();
}
