/*******************************************************************************
 *                                                                             *
 *  This file is part of NotesAntiSpam.                                        *
 *                                                                             *
 *  NotesAntiSpam is free software; you can redistribute it and/or modify      *
 *  it under the terms of the GNU General Public License as published by       *
 *  the Free Software Foundation; either version 2 of the License, or          *
 *  (at your option) any later version.                                        *
 *                                                                             *
 *  NotesAntiSpam is distributed in the hope that it will be useful,           *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *
 *  GNU General Public License for more details.                               *
 *                                                                             *
 *  You should have received a copy of the GNU General Public License          *
 *  along with NotesAntiSpam; if not, write to the Free Software               *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  *
 *                                                                             *
 *  Copyright (c) 2003 Thomas Kriener                                          *
 *                                                                             *
 *******************************************************************************/

#if !defined(AFX_SEARCHTHREAD_H__41ED1BE1_9577_4D2C_9F77_B12F2E83560B__INCLUDED_)
#define AFX_SEARCHTHREAD_H__41ED1BE1_9577_4D2C_9F77_B12F2E83560B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SearchThread.h : header file
//

struct CSearchThreadInfo
{
	HWND m_hwndNotifySearch;
	HANDLE m_hEventStartSearch;
	HANDLE m_hEventStartTrainBayes;
	HANDLE m_hEventSearchDone;
	HANDLE m_hEventKillSearchThread;
	HANDLE m_hEventSearchThreadKilled;
	HWND m_hwndNotifyProgress;
};

// Controlling function for the worker thread.
UINT SearchThreadProc(LPVOID pParam /* CRecalcThreadInfo ptr */);



#endif // !defined(AFX_SEARCHTHREAD_H__41ED1BE1_9577_4D2C_9F77_B12F2E83560B__INCLUDED_)
